Name:          onboard
Version:       1.4.1
Release:       %mkrel 4

Summary:       An onscreen keyboard useful for tablet PC users and for mobility impaired users
Group:         Accessibility
URL:           https://launchpad.net/onboard
Source:        http://launchpad.net/onboard/%{name}-%{version}.tar.xz
License:       GPLv3+
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: lib64xtst-devel
BuildRequires: python3-distutils-extra
BuildRequires: glibc-devel
BuildRequires: intltool
BuildRequires: lib64cairo-devel
BuildRequires: lib64dconf-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64python3-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xkbfile-devel
BuildRequires: lib64canberra-devel
BuildRequires: lib64hunspell-devel
Requires: python3 >= 3.4
Requires: python3-dbus
Requires: lib64appindicator3_1

%description
An onscreen keyboard useful for tablet PC users and for mobility impaired users.

%prep
%setup -q

%build
python3 setup.py build

%install
rm -rf %{buildroot}
python3 setup.py install --root %{buildroot}

rm %{buildroot}%{_datadir}/onboard/{HACKING,AUTHORS,CHANGELOG,COPYING,NEWS,README,COPYING.BSD3,COPYING.GPL3}

%clean
rm -rf %{buildroot}


%files 
%doc AUTHORS COPYING
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/onboard-autostart.desktop
%{_bindir}/onboard
%{_bindir}/onboard-settings
%{_datadir}/onboard
%{_datadir}/applications/onboard.desktop
%{_datadir}/applications/onboard-settings.desktop
%{_datadir}/glib-2.0/schemas/org.onboard.gschema.xml
%{_datadir}/gnome-shell
%{_datadir}/help
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/icons/*
%{_datadir}/sounds/freedesktop/stereo/onboard-key-feedback.oga
%{_mandir}/man1/*
%{_libdir}/python3.10/site-packages/Onboard/*
%{_libdir}/python3.10/site-packages/onboard-*-py3.10.egg-info
%{_datadir}/dbus-1/services/org.onboard.Onboard.service

%changelog
* Sun Oct 02 2022 tex - 1.4.1-4pclos2022
- rebuild against updates

* Sat Mar 02 2019 tex - 1.4.1-3pclos2019
- rebuild against updates

* Sun Feb 03 2019 tex - 1.4.1-2pclos2019
- rebuild against updates

* Tue Apr 11 2017 bb2 <bb2> - 1.4.1-1pclos2017
- new version

* Mon Apr 11 2016 bb <bb> 1.2.0-2pclos2016
- add req libappindicator3_1

* Sat Apr 09 2016 Ken <lxgator at gmail.com> 1.2.0-1pclos2016
- create rpm pkg 


